Dynamiq
Apps

Get an app

Returns a single app, including its hostname — the base URL for the app's Runs API.

GET
/v1/apps/{app_id}

Authorization

AuthorizationBearer <token>

Organization or project Access Key created in the Dynamiq console. Used for deployed-app (Runs API), AI Gateway, traces collector, and management API requests. Send as Authorization: Bearer <access-key>.

In: header

Path Parameters

app_id*string

App UUID.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/apps/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "id": "4f6e1c2a-7b8d-4e9f-a1b2-c3d4e5f60718",
    "name": "support-triage-agent",
    "description": "Classifies and drafts replies for inbound support tickets.",
    "project_id": "91d2e3f4-a5b6-4c7d-8e9f-0a1b2c3d4e5f",
    "hostname": "4f6e1c2a-7b8d-4e9f-a1b2-c3d4e5f60718.apps.us-east-1.getdynamiq.ai",
    "runtime_id": "1a2b3c4d-5e6f-4071-8293-a4b5c6d7e8f9",
    "workflow_id": "2b3c4d5e-6f70-4182-93a4-b5c6d7e8f901",
    "workflow_version_id": "3c4d5e6f-7081-4293-a4b5-c6d7e8f90112",
    "access_control": {
      "access_type": "private"
    },
    "created_at": "2026-05-02T11:00:00Z",
    "created_by": "5d6e7f80-91a2-4b3c-8d4e-5f60718293a4",
    "updated_at": "2026-06-01T08:30:00Z",
    "updated_by": "5d6e7f80-91a2-4b3c-8d4e-5f60718293a4"
  }
}
{
  "error": {
    "code": "unauthorized",
    "message": "Unauthorized"
  }
}
{
  "error": {
    "code": "not_found",
    "message": "Not Found"
  }
}